
Foreman - Feature #11202

Show a warning if not all essential provisioning templates are associated with an OS

07/23/2015 12:11 PM - Mattias Giese

Status: New   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.9.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When configuring an OS Foreman shows a warning if no template is associated with it. But as soon as at least one template (but not

all needed) templates are associated the UI won't show a warning. The user could then potentially create a broken config without

even knowing it.

See the attached screenshot showing an example. For Debian Jessie, only a PXELinux template is associated so that's the only

template category shown in the interface.

Related issues:

Related to Foreman - Feature #746: Generate all the Host template when click ... Closed 03/15/2011

History

#1 - 07/24/2015 06:05 AM - Dominic Cleal

- Related to Feature #746: Generate all the Host template when click on Build to avoid errors during installation added

#2 - 07/24/2015 06:05 AM - Dominic Cleal

- Category changed from Web Interface to Templates
